<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-case-step-instance-heading">Create or edit a Case Step Instance</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_name">Name</label>
                    <input type="text" class="form-control" name="name" id="field_name"
                           formControlName="name"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_stepId">Step Id</label>
                    <input type="text" class="form-control" name="stepId" id="field_stepId"
                           formControlName="stepId"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_caseInstanceId">Case Instance Id</label>
                    <input type="text" class="form-control" name="caseInstanceId" id="field_caseInstanceId"
                           formControlName="caseInstanceId"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_begin">Begin</label>
                    <input type="checkbox" class="form-control" name="begin" id="field_begin"
                           formControlName="begin"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_team">Team</label>
                    <select class="form-control" id="field_team" name="team" formControlName="team">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="teamOption.id === editForm.get('team')!.value?.id ? editForm.get('team')!.value : teamOption" *ngFor="let teamOption of teams; trackBy: trackById">{{ teamOption.id }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_stepOwner">Step Owner</label>
                    <select class="form-control" id="field_stepOwner" name="stepOwner" formControlName="stepOwner">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="stepOwnerOption.id === editForm.get('stepOwner')!.value?.id ? editForm.get('stepOwner')!.value : stepOwnerOption" *ngFor="let stepOwnerOption of stepowners; trackBy: trackById">{{ stepOwnerOption.id }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_state">State</label>
                    <select class="form-control" id="field_state" name="state" formControlName="state">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="caseStepStateOption.id === editForm.get('state')!.value?.id ? editForm.get('state')!.value : caseStepStateOption" *ngFor="let caseStepStateOption of casestepstates; trackBy: trackById">{{ caseStepStateOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
